Subject: Re: [PATCH net 0/2] Fix NPE discovered by running bpf kselftest

From: John Fastabend <[email-masked]>
Date: Fri, 20 Dec 2024 08:56:56 -0800

Björn Töpel wrote:
> John Fastabend <[email-masked]> writes:
> 
> >> Took the series for a run, and it does solve crash, but I'm getting
> >> additional failures:
> >
> > Thanks! I'm guessing those tests were failing even without the patch
> > though right?
> 
> Correct.

Thanks Bjorn!

> 
> test_sockmap did however pass the full suite in 6.12. So, something
> changed with the addition of [1].

Agree with finding this. I also have a compliance test failing in one
of our nginx/apache/bpf test suites so might be related. I'll dig into
it.

> 
> I guess:
> 
> Tested-by: Björn Töpel <[email-masked]>

Because when I find the bug that gets here I would have stacked this on
top of any fix as well I think lets apply this now.

Reviewed-by: John Fastabend <[email-masked]>

> 
> can be added to this series, and not crashing is nice, but it would be
> interesting to know how it got there.
> 
> 
> Björn
> 
> 
> [1] https://lore.kernel.org/all/[email-masked]/
>